Bug 805778 - port and sync with latest rhel6 kdump.init
port and sync with latest rhel6 kdump.init
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Young
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RHEL7KdumpTracker
  Show dependency treegraph
 
Reported: 2012-03-22 01:58 EDT by Dave Young
Modified: 2012-08-30 23:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 23:26:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Young 2012-03-22 01:58:48 EDT
Description of problem:

* Review and port latest kdump.init logic into fedora kdumpctl

related rhel6 bzs need review after the porting:
bz592312,"kdump's dumprd not rebuilding when appropriate."
bz544161,"Kdump initscript doesn't return the correct code"
bz611693,"kdump doesn't use init.d script to save vmcore any longer"
bz731394,"[kexec-tools] Remove warning when kdump service starts"
bz598067,"[FEAT RHEL6.2]  Provide verification tool to check config files"
bz600595,"kdump service script needs a condrestart"
bz748748,"improve mount -t debugfs logic in kdump service scrip

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Admin XMLRPC Client 2012-04-16 02:11:55 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Dave Young 2012-08-30 23:26:04 EDT
All bugs are addressed or not valid for latest fedora.

One thing is 748748 fixed the debugfs mounting logic. In fedora kexec-tools kdumpctl we do not try to mount debugfs without seeing any problem. Will address this issue if we encounter such issue in the futuer.

Note You need to log in before you can comment on or make changes to this bug.